MAC OS COMPATIBLILITY ISSUES

New Here ,
Dec 29, 2021 Dec 29, 2021

Copy link to clipboard

Copied

My MAC is operating using version 10.13.6 High Sierra. I'm afraid to upgrade to the next level because I've read there were issues with Photoshop and Illustrator. Any advice?

TOPICS
Installation

Views

54

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Expert ,
Dec 29, 2021 Dec 29, 2021

Copy link to clipboard

Copied

Hi

You cannot run the current version of Photoshop with High Sierra. Here are the system requirements:

https://helpx.adobe.com/photoshop/system-requirements.html

 

  • What version(s) of PS and AI do you have now?
  • Does your Mac meet or exceed the system requirements?

 

Jane

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
LEGEND ,
Dec 30, 2021 Dec 30, 2021

Copy link to clipboard

Copied

My advice, is if it works, stick with it. But be aware you won't be able to reinstall old versions.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Expert ,
Dec 31, 2021 Dec 31, 2021

Copy link to clipboard

Copied

LATEST

Do not stay on High Sierra unless your computer can't be upgraded. Apple not longer supports it and you are not getting security updates.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines